For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a SOA amount

Create a SOA amount.

Required permissions: SOA

post
/tenants/{tenantUid}/soas/{soaUid}/amounts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
soaUidstringRequired

Reference to a SOA.

Pattern: ^[A-Za-z0-9-_]+
Body
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
amountintegerRequired
fromDateTimestring · date-timeRequired
toDateTimestring · date-timeRequired
soaAmountUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
soaUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
productUidstringRequiredPattern: ^[A-Za-z0-9-_]+
soaAmountUidstringRequiredPattern: ^[A-Za-z0-9-_]+
amountintegerRequired
fromDateTimestring · date-timeRequired
toDateTimestring · date-timeRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/soas/{soaUid}/amounts
POST /v2/tenants/{tenantUid}/soas/{soaUid}/amounts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 154

{
  "storeUid": "text",
  "productUid": "text",
  "amount": 1,
  "fromDateTime": "2026-01-01T00:00:00.000Z",
  "toDateTime": "2026-01-01T00:00:00.000Z",
  "soaAmountUid": "text"
}
201

Example response

{
  "soaUid": "text",
  "storeUid": "text",
  "productUid": "text",
  "soaAmountUid": "text",
  "amount": 1,
  "fromDateTime": "2026-01-01T00:00:00.000Z",
  "toDateTime": "2026-01-01T00:00:00.000Z",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?